<div class="plc user">
    <div class="plc-menu">
        作业组管理
    </div>
    <div class="plc-content flex-center">
        <div class="row andon-content-block">
            <div class="col-sm-12 andon-content-mini-left">
                <div class="search-group-input-btn">
                    <!--one-line-btns search-long-half-->
                    <div class="col-sm-10">
                        <div class="nbox-group-input andon-input-wrapper"
                             ng-class="{'focus':(focusInput), 'ad-disabled':(config.editRw && !config.workGroupBtnHiddenCancel)}">
                            <input ng-init="focusInput=false"
                                   ng-focus="focusInput=true"
                                   ng-blur="focusInput=false"
                                   type="text" value=""
                                   placeholder="点击搜索图标可查询作业组"
                                   class="form-control ad-left-child"
                                   ng-class="{'work-placeholder':config.isNoValue}"
                                   ng-model="config.searchWorkGroup"
                                   ng-disabled="config.editRw && !config.workGroupBtnHiddenCancel"
                                   ng-change="searchWorkGroupInputChanged();"
                                   ng-keyup="enterKeyWorkGroup($event)">
                            <i class="fa fa-search ad-right-child focus"
                               ng-click="modalSearchResult()"></i>
                        </div>
                    </div>
                    <!--one-line-btns-->
                    <div class="col-sm-1">
                        <button type="button" class="btn btn-primary"
                                ng-disabled="config.btnDisabledQuery"
                                ng-click="queryWorkGroup()">
                            查询</button></div>
                    <!--one-line-btns-->
                    <div class="col-sm-1">
                        <button type="button" class="btn btn-primary"
                                ng-click="addWorkGroup()"
                                ng-if="config.editRw">
                            新建</button>
                    </div>
                </div>
            </div>

            <div ng-switch="config.workGroupMessage">
                <div ng-switch-when="NA">
                    <div class="col-sm-12">
                        <div class="no-such-activity flex-center">
                            <p>无此作业</p>
                        </div>

                    </div>
                </div>
                <div ng-switch-default>
                    <!--在public/reverse/中封装了-->

                    <div class="col-sm-12">
                        <div class="form-horizontal">
                            <div class="form-group">
                                <label for="description" class="um-col-0-1 um-control-label text-right">描述</label>
                                <div class="col-sm-11 col-xs-11 andon-content-mini">
                                <textarea type="text" class="form-control"
                                          id="description" placeholder="" rows="2"
                                          ng-disabled="config.workGroupIsNoEdit"
                                          ng-model="config.workGroupDatas.description"
                                          ng-blur="workGroupIsChanged()"></textarea>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12">
                        <reverse-template></reverse-template>
                        <div class="flex-center no-tab-save">
                            <div class="one-line-btns">
                                <button type="button"
                                        class="btn btn-primary btn-flex-center"
                                        ng-disabled="config.workGroupBtnDisEdit"
                                        placeholder=""
                                        ng-click="workGroupEdit()"
                                        ng-if="config.editRw">编辑</button>
                            </div>
                            <div class="one-line-btns">
                                <button type="button"
                                        class="btn btn btn-primary btn-flex-center"
                                        ng-hide="config.workGroupBtnHiddenCancel"
                                        ng-click="workGroupCancel()">
                                    取消</button></div>
                            <div class="one-line-btns">
                                <button type="button"
                                        class="btn btn btn-primary btn-flex-center"
                                        ng-hide="config.workGroupBtnHiddenSave"
                                        ng-click="workGroupSave()">
                                    保存</button>
                            </div>


                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>
